#
# spec file for package python-logutils
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-logutils
Version:        0.3.3
Release:        8.2
License:        BSD-3-Clause
Summary:        Logging utilities
Url:            http://code.google.com/p/logutils/
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/l/logutils/logutils-%{version}.tar.gz
BuildRequires:  python-devel
# Documentation requirements:
BuildRequires:  python-Sphinx
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The logutils package provides a set of handlers for the Python standard
library's logging package.

Some of these handlers are out-of-scope for the standard library, and
so they are packaged here. Others are updated versions which have
appeared in recent Python releases, but are usable with older versions
of Python and so are packaged here.

%prep
%setup -q -n logutils-%{version}

%build
python setup.py build
cd doc && make html

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE.txt NEWS.txt README.txt doc/_build/html
%{python_sitelib}/*

%changelog
* Thu Jul 18 2013 speilicke@suse.com
- Initial version
